## org.eclipse.emf.ecore.util
Class EcoreUtil.EGenericTypeConverter

    java.lang.Object
      org.eclipse.emf.ecore.util.EcoreUtil.EGenericTypeConverter

Enclosing class:
  EcoreUtil

    public static class EcoreUtil.EGenericTypeConverter

extends java.lang.Object

A utility class that traverses a generic type to convert it to a string representation.

Field Summary
`static EcoreUtil.EGenericTypeConverter` `INSTANCE` A default instance of the converter.

Constructor Summary
`EcoreUtil.EGenericTypeConverter()`

Method Summary
`void` `convertJavaInstanceTypeName(java.lang.StringBuilder result, EGenericType eGenericType)` Converts a generic type to its Java representation in the result.
`protected java.lang.String` `getInstanceTypeName(EClassifier eClassifier)` Returns the appropriate fully qualified java instance type name for the given classifier.
`java.lang.String` `toJavaInstanceTypeName(EGenericType eGenericType)` Converts a generic type to its Java representation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static EcoreUtil.EGenericTypeConverter INSTANCE

  A default instance of the converter.

Constructor Detail

### EcoreUtil.EGenericTypeConverter

    public EcoreUtil.EGenericTypeConverter()

Method Detail

### toJavaInstanceTypeName

    public java.lang.String toJavaInstanceTypeName(EGenericType eGenericType)

  Converts a generic type to its Java representation.

  Parameters:
    `eGenericType` - the generic type to convert.
  Returns:
    the Java representation of the generic type.

### convertJavaInstanceTypeName

    public void convertJavaInstanceTypeName(java.lang.StringBuilder result,
                                            EGenericType eGenericType)

  Converts a generic type to its Java representation in the result.

  Parameters:
    `result` - the target in which to accumulate the result
    `eGenericType` - the generic type to convert.

### getInstanceTypeName

    protected java.lang.String getInstanceTypeName(EClassifier eClassifier)

  Returns the appropriate fully qualified java instance type name for the given classifier.

  Parameters:
    `eClassifier` - the classifier in question.
  Returns:
    the java instance type name for the given classifier.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.